<?php

namespace App\Components;

use Daylight\Core\Modules\PageBuilder\Entities\Component;
use Daylight\Core\Modules\PageBuilder\Entities\Field;
use Illuminate\Support\Collection;

class HeroImage extends Component
{
    public string $type = 'hero-image';

    public function name(): string
    {
        return __('Hero (Image)');
    }

    public function fields(): Collection
    {
        return collect([
            Field::media('image', __('Image')),
        ]);
    }
}
